<?php

use Hubzero\Content\Migration\Base;

// No direct access
defined('_HZEXEC_') or die();

/**
 * Migration script for enabling Solr search for GABBs
 **/
class Migration20170324000001ComSearch extends Base
{
	public function up()
	{

	    	$config = array(
                        'engine' => 'solr',
                        'solr_host' => 'localhost',
                        'solr_port' => '8445',
                        'solr_core' => 'hubzero-solr-core',
                        'solr_path' => '/solr',
                        'solr_log_path' => '/srv/hubzero-solr/logs/solr.log',
                );
                $this->saveParams('com_search',$config);

		//Add a new search facet for iRODS project files
		//it to Solr search types
                if ($this->db->tableExists('#__solr_search_facets'))
                {
                        $insert = "
                                INSERT INTO `#__solr_search_facets` (`name`,`facet`,`state`,`protected`,`ordering`,`parent_id`) VALUES
                                ('iData Files','hubtype:project-file',1,1,'0',0);";

                        $this->db->setQuery($insert);
                        $this->db->query();
                }

	}

	public function down()
	{
                if ($this->db->tableExists('#__solr_search_facets'))
                {
			$query = "DELETE FROM `#__solr_search_facets` WHERE `facet` = 'hubtype:project-file';";
                        $this->db->setQuery($query);
			$this->db->query();
		}
	}
}
